test2_t Struct Reference

## Data Fields

db_object_t * | dbo
db_value_t * | id
db_value_t * | rev
char * | name

## Detailed Description

Definition at line 465 of file test_database_operations.c.

## Field Documentation

## dbo

db_object_t* test2_t::dbo

Definition at line 466 of file test_database_operations.c.

Referenced by test2_create(), test2_delete(), test2_free(), test2_get_by_id(), test2_get_by_name(), test2_new(), and test2_update().

## id

db_value_t* test2_t::id

Definition at line 467 of file test_database_operations.c.

Referenced by test2_create(), test2_delete(), test2_free(), test2_from_result(), test2_id(), test2_new(), and test2_update().

## name

char* test2_t::name

Definition at line 469 of file test_database_operations.c.

Referenced by test2_create(), test2_free(), test2_from_result(), test2_name(), test2_set_name(), and test2_update().

## rev

db_value_t* test2_t::rev

Definition at line 468 of file test_database_operations.c.

Referenced by test2_create(), test2_delete(), test2_free(), test2_from_result(), test2_new(), and test2_update().

The documentation for this struct was generated from the following file:

- src/db/test/test_database_operations.c